import service from '@/utils/request'
/*
* 其他计件单据维护
*/
// 其他计件单据侧边栏
export const getSide = (data) => {
  return service({
    url: '/mes_server/other_count_document/getTab',
    method: 'get',
    data
  })
}

// 其他计件单据列表
export const getTable = (params) => {
  return service({
    url: '/mes_server/other_count_document/getList',
    method: 'get',
    params
  })
}

// 获取单个计件单据信息
export const getInfo = (params) => {
  return service({
    url: '/mes_server/other_count_document/getInfo',
    method: 'get',
    params
  })
}

// 查询员工名称
export const getYg = (params) => {
  return service({
    url: '/mes_server/packaging_count_document/getYg',
    method: 'get',
    params
  })
}

// 获取工单名称
export const getGdmc = (params) => {
  return service({
    url: '/mes_server/machine_production_report/getGdmc',
    method: 'get',
    params
  })
}

// 查询印件工序及产品名称
export const getGxMc = (params) => {
  return service({
    url: '/mes_server/other_count_document/getGxMc',
    method: 'get',
    params
  })
}

// 获取定额代号
export const getDedh = (params) => {
  return service({
    url: '/mes_server/machine_production_report/getDedh',
    method: 'get',
    params
  })
}

// 获取拉料计件产量维护其他信息
export const getOtherInfo = (params) => {
  return service({
    url: '/mes_server/other_count_document/getOtherInfo',
    method: 'get',
    params
  })
}

// 拉料计件产量维护修改
export const updateData = (data) => {
  return service({
    url: '/mes_server/other_count_document/edit',
    method: 'post',
    data
  })
}

// 新增
export const add = (data) => {
  return service({
    url: '/mes_server/other_count_document/add',
    method: 'post',
    data
  })
}
